#ifndef File__H
#define File__H
#include "meta/meta_modelica.h"
#include "util/modelica.h"
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#ifdef __cplusplus
extern "C" {
#endif
DLLExport
modelica_boolean omc_File_seek(threadData_t *threadData, modelica_complex _file, modelica_integer _offset, modelica_integer _whence);
DLLExport
modelica_metatype boxptr_File_seek(threadData_t *threadData, modelica_metatype _file, modelica_metatype _offset, modelica_metatype _whence);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_seek,2,0) {(void*) boxptr_File_seek,0}};
#define boxvar_File_seek MMC_REFSTRUCTLIT(boxvar_lit_File_seek)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern int om_file_seek(void * (*_file*), int (*_offset*), int (*_whence*));
*/
DLLExport
void omc_File_writeEscape(threadData_t *threadData, modelica_complex _file, modelica_string _data, modelica_integer _escape);
DLLExport
void boxptr_File_writeEscape(threadData_t *threadData, modelica_metatype _file, modelica_metatype _data, modelica_metatype _escape);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_writeEscape,2,0) {(void*) boxptr_File_writeEscape,0}};
#define boxvar_File_writeEscape MMC_REFSTRUCTLIT(boxvar_lit_File_writeEscape)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern void om_file_write_escape(void * (*_file*), const char* (*_data*), int (*_escape*));
*/
DLLExport
void omc_File_write(threadData_t *threadData, modelica_complex _file, modelica_string _data);
DLLExport
void boxptr_File_write(threadData_t *threadData, modelica_metatype _file, modelica_metatype _data);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_write,2,0) {(void*) boxptr_File_write,0}};
#define boxvar_File_write MMC_REFSTRUCTLIT(boxvar_lit_File_write)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern void om_file_write(void * (*_file*), const char* (*_data*));
*/
DLLExport
void omc_File_open(threadData_t *threadData, modelica_complex _file, modelica_string _filename, modelica_integer _mode);
DLLExport
void boxptr_File_open(threadData_t *threadData, modelica_metatype _file, modelica_metatype _filename, modelica_metatype _mode);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_open,2,0) {(void*) boxptr_File_open,0}};
#define boxvar_File_open MMC_REFSTRUCTLIT(boxvar_lit_File_open)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern void om_file_open(void * (*_file*), const char* (*_filename*), int (*_mode*));
*/
DLLExport
modelica_complex omc_File_File_constructor(threadData_t *threadData);
DLLExport
modelica_metatype boxptr_File_File_constructor(threadData_t *threadData);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_File_constructor,2,0) {(void*) boxptr_File_File_constructor,0}};
#define boxvar_File_File_constructor MMC_REFSTRUCTLIT(boxvar_lit_File_File_constructor)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern void * om_file_new();
*/
DLLExport
void omc_File_File_destructor(threadData_t *threadData, modelica_complex _file);
DLLExport
void boxptr_File_File_destructor(threadData_t *threadData, modelica_metatype _file);
static const MMC_DEFSTRUCTLIT(boxvar_lit_File_File_destructor,2,0) {(void*) boxptr_File_File_destructor,0}};
#define boxvar_File_File_destructor MMC_REFSTRUCTLIT(boxvar_lit_File_File_destructor)
/*
* The function has annotation(Include=...>)
* the external function definition should be present
* in one of these files and have this prototype:
* extern void om_file_free(void * (*_file*));
*/
#ifdef __cplusplus
}
#endif
#endif
